SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Forum/Board/Portal)  >   WordPress Vendors:   wordpress.org
WordPress IP Address Format Handling Error Lets Remote Users Bypass Security Restrictions on the Target System
SecurityTracker Alert ID:  1036594
SecurityTracker URL:  http://securitytracker.com/id/1036594
CVE Reference:   CVE-2016-4029   (Links to External Site)
Date:  Aug 11 2016
Impact:   Host/resource access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 4.5
Description:   A vulnerability was reported in WordPress. A remote user can bypass security controls on the target system.

The system does not handle octal or hexadecimal IP address formats when making access control decisions on an intranet. A remote user can supply a specially crafted address to potentially bypass security controls and conduct server-side request forgery attacks on the target system.

Yu Wang and Tong Shi from BAIDU XTeam reported this vulnerability.

Impact:   A remote user can bypass security controls and conduct server-side request forgery attacks on the target system.
Solution:   The vendor has issued a fix (4.5) [in April 2016].

The vendor's advisory is available at:

https://codex.wordpress.org/Version_4.5

Vendor URL:  codex.wordpress.org/Version_4.5 (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC